<?php
include 'header.php';
include 'aside.php';
include 'db.php'; 
?>

  
  <div class="content-wrapper">
	  <div class="container-full">
		<div class="content-header">
			<div class="d-flex align-items-center">
				<div class="me-auto">
					<h4 class="page-title">Add Appointment </h4>
					<div class="d-inline-block align-items-center">
						<nav>
							<ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#"><i class="bi bi-house-door"></i>
                            </a></li>								<li class="breadcrumb-item" aria-current="page">Home</li>
								<li class="breadcrumb-item active" aria-current="page">Add Appointment</li>
							</ol>
						</nav>
					</div>
				</div>
				
			</div>
		</div>	  

		<section class="content">
			<div class="row">			  
				<div class="col-lg-12 col-12">
					  <div class="box">
			
   <form class="form" id="appointmentForm" method="POST">
        <div class="box-body">
            <h4 class="box-title text-primary mb-0"><i class="fa fa-user me-15"></i> Personal Info</h4>
            <hr class="my-15">
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-label">First Name</label>
                        <input type="text" class="form-control" id="firstName" name="firstName" required>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-label">Last Name</label>
                        <input type="text" class="form-control" id="lastName" name="lastName" required>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-label">E-mail</label>
                        <input type="email" class="form-control" id="email" name="email" required>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-label">Contact Number</label>
                        <input type="text" class="form-control" id="phone" name="phone" required>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-label">Interested in</label>
                        <select class="form-select" id="service" name="service" required>
                            <option value="">Select Service</option>
                            <option value="Vastu Consultation">Vastu Consultation</option>
                            <option value="Astrology">Astrology</option>
                            <option value="Face Reading">Face Reading</option>
                        </select>
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-label">Sub-Service</label>
                        <select class="form-select" id="subService" name="subService" required>
                            <option value="">Select Sub-Service</option>
                        </select>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-label">Date</label>
                        <input type="date" class="form-control" id="date" name="date" required>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-label">Time</label>
                        <input type="time" class="form-control" id="time" name="time" required>
                    </div>
                </div>
            </div>
            
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-label">Time of Birth</label>
                        <input type="time" class="form-control" id="timeOfBirth" name="timeOfBirth">
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-label">Place of Birth</label>
                        <input type="text" class="form-control" id="placeOfBirth" name="placeOfBirth">
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-label">City</label>
                        <input type="text" class="form-control" id="city" name="city" required>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-label">Country</label>
                        <input type="text" class="form-control" id="country" name="country" required>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="form-label">Created At</label>
                        <input type="datetime-local" class="form-control" id="created_at" name="created_at" required>
                    </div>
                </div>
            </div>
        </div>

        <div class="box-footer">

            <button type="submit" class="btn btn-primary">
                Submit
            </button>
        </div>
    </form>
    <div id="successMessage" style="display:none; color: green; margin-top: 10px;">Form submitted successfully!</div>


    <script>
  document.getElementById('appointmentForm').addEventListener('submit', function (e) {
    e.preventDefault(); // Prevent default form submission

    const formData = new FormData(this);

    fetch('submit_appointment.php', {
      method: 'POST',
      body: formData
    })
    .then(response => response.json())
    .then(data => {
      // Check if response contains success
      if (data.success) {
        // Show success message
        document.getElementById('successMessage').style.display = 'block';
        document.getElementById('successMessage').textContent = data.message;

        // Reset the form after successful submission
        this.reset();

        // Optional: Clear success message after 3 seconds
        setTimeout(() => {
          document.getElementById('successMessage').style.display = 'none';
        }, 3000);

        // Reload the page after 3 seconds
        setTimeout(() => {
          location.reload();
        }, 3000);

      } else {
        alert(data.message); // Show error message if submission fails
      }
    })
    .catch(error => {
      console.error('Error:', error);
      alert('An error occurred while submitting the form.');
    });
  });
</script>


<script>
  const serviceSubServices = {
    "Vastu Consultation": ["Phone Call", "Virtual Video", "In Person Consultation"],
    "Astrology": ["Phone Call - $150", "Virtual Video - $150", "In Person Consultation - $200"],
    "Face Reading": ["In Person Consultation - $200"]
  };

  document.getElementById('service').addEventListener('change', function () {
    const selectedService = this.value;
    const subServiceDropdown = document.getElementById('subService');
    
    subServiceDropdown.innerHTML = '<option value="">Select Sub-Service</option>';
    
    if (selectedService && serviceSubServices[selectedService]) {
      serviceSubServices[selectedService].forEach(function (subService) {
        const option = document.createElement('option');
        option.value = subService;
        option.textContent = subService;
        subServiceDropdown.appendChild(option);
      });
    }
  });
</script>

					  </div>
					  <!-- /.box -->			
				</div>  

		    </div>


		</section>
		<!-- /.content -->
	  </div>
  </div>
  <!-- /.content-wrapper -->
 



  <?php  include 'footer.php'; ?>