<?php
include 'header.php';
include 'aside.php';
include 'db.php'; 
?>

<div class="content-wrapper">
    <div class="container-full">
        <div class="content-header">
            <div class="d-flex align-items-center">
                <div class="me-auto">
                    <h4 class="page-title">All Appointments</h4>
                    <div class="d-inline-block align-items-center">
                        <nav>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="#"><i class="bi bi-house-door"></i>
                                </a></li>
                                <li class="breadcrumb-item" aria-current="page">Dashboard</li>
                                <li class="breadcrumb-item active" aria-current="page">Add Appointment</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>




<section class="content">
    <div class="row">
        <div class="col-12">
            <div class="box">
                <div class="box-header" style="display: flex; align-items: center; justify-content: space-between;">
                    <h4 class="box-title" style="margin: 0;">Appointment Details</h4>
                    <select class="form-select action-dropdown" id="filter-action" style="width: 15%;">
                        <option value="">Select Action</option>
                        <option value="0">Pending</option>
                        <option value="1">Approved</option>
                        <option value="2">Rejected</option>
                    </select>
                </div>

                <div class="box-body">
                    <div class="table-responsive">
                        <table id="complex_header" class="table table-bordered table-striped table-hover" style="width:100%">
                            <thead>
                                <tr class="text-dark">
                                    <th>Id</th>
                                    <th>Name</th>
                                    <th>Service</th>
                                    <th>Sub-Service</th>
                                    <th>Date</th>
                                    <th>Time</th>
                                    <th>Email</th>
                                    <th>Phone</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody id="appointment-tbody">
                                <?php
                                $sql = "SELECT `id`, `service`, `subService`, `date`, `time`, `firstName`, `lastName`, `email`, `phone`, `action` FROM `appointment` WHERE 1";
                                $result = $conn->query($sql);

                                if ($result->num_rows > 0) {
                                    while($row = $result->fetch_assoc()) {
                                        $fullName = $row['firstName'] . ' ' . $row['lastName'];
                                        $actionValue = $row['action']; 

                                        echo "<tr data-action='" . $actionValue . "'>";
                                        echo "<td>" . $row['id'] . "</td>";
                                        echo "<td class='text-dark'>" . $fullName . "</td>";
                                        echo "<td>" . $row['service'] . "</td>";
                                        echo "<td>" . $row['subService'] . "</td>";
                                        echo "<td>" . $row['date'] . "</td>";
                                        echo "<td>" . $row['time'] . "</td>";
                                        echo "<td>" . $row['email'] . "</td>";
                                        echo "<td>" . $row['phone'] . "</td>";
                                        echo "<td>
                                                <a href='#' class='view-appointment' data-id='" . $row['id'] . "' title='View'>
                                                    <i class='fa fa-eye'></i> View
                                                </a>
                                              </td>";
                                        echo "</tr>";
                                    }
                                } else {
                                    echo "<tr><td colspan='9'>No records found</td></tr>";
                                }

                                $conn->close();
                                ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<div class="modal fade" id="viewDetailsModal" tabindex="-1" aria-labelledby="viewDetailsLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" style="padding: 20px; border-radius: 12px; box-shadow: 0 8px 24px rgba(0, 0, 0, 0.1);">
            <div class="modal-header" style="border-bottom: 1px solid #e0e0e0; display: flex; justify-content: center; width: 100%;">
                <h5 class="modal-title" id="viewDetailsLabel" style="font-size: 20px; font-weight: normal; color: #34495e; text-align: center;">
                    Appointment Details
                </h5>
            </div>
            <p id="statusMessage" style="text-align: center; font-size: 16px; font-weight: bold; color: #27ae60;"></p>

            <div class="modal-body" id="viewDetailsContent">

            </div>
            <div class="modal-footer" style="border-top: 1px solid #e0e0e0; padding-top: 20px; display: flex; justify-content: space-between;">
                <a type="button" class="btn btn-success approved-btn" style="display: none; background-color: #27ae60; color: white;" href="#" data-bs-dismiss="modal" aria-label="Close">Approve</a>
                <a type="button" class="btn btn-danger rejected-btn" style="display: none; background-color: #e74c3c; color: white;" href="#" data-bs-dismiss="modal" aria-label="Close">Reject</a>
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" aria-label="Close" style="background-color: #95a5a6;">Close</button>
            </div>
        </div>
    </div>
</div>


<script>
document.querySelectorAll('.view-appointment').forEach(function(button) {
    button.addEventListener('click', function() {
        var appointmentId = button.getAttribute('data-id');
        
        console.log('Appointment ID:', appointmentId);

        var xhr = new XMLHttpRequest();
        xhr.open('GET', 'get_appointment_details.php?id=' + appointmentId, true);
        xhr.onload = function() {
            if (xhr.status === 200) {
                try {
                    console.log('Response:', xhr.responseText); // Log the response for debugging
                    var data = JSON.parse(xhr.responseText);
                    if (data.success) {
                        var content = `
                            <div style="display: flex; flex-direction: column; gap: 20px;">
                                <h4 style="text-align: center; font-size: 32px; color: #34495e;">${data.appointment.firstName} ${data.appointment.lastName}</h4>
                                <div style="display: flex; flex-direction: column;">
                                    <div style="font-size: 16px; color: #34495e; font-weight: normal; margin-bottom: 10px; text-transform: uppercase; letter-spacing: 0.5px;">
                                        Appointment Information
                                    </div>
                                    <div style="display: flex; flex-direction: column;">
                                        <div style="display: flex; justify-content: space-between; padding: 8px 0;">
                                            <span style="color: #7f8c8d; width: 45%; font-size: 14px;">Service:</span>
                                            <span style="color: #34495e; width: 50%; text-align: right; font-size: 14px;">${data.appointment.service}</span>
                                        </div>
                                        <div style="display: flex; justify-content: space-between; padding: 8px 0;">
                                            <span style="color: #7f8c8d; width: 45%; font-size: 14px;">Sub-Service:</span>
                                            <span style="color: #34495e; width: 50%; text-align: right; font-size: 14px;">${data.appointment.subService}</span>
                                        </div>
                                        <div style="display: flex; justify-content: space-between; padding: 8px 0;">
                                            <span style="color: #7f8c8d; width: 45%; font-size: 14px;">Date:</span>
                                            <span style="color: #34495e; width: 50%; text-align: right; font-size: 14px;">${data.appointment.date}</span>
                                        </div>
                                        <div style="display: flex; justify-content: space-between; padding: 8px 0;">
                                            <span style="color: #7f8c8d; width: 45%; font-size: 14px;">Time:</span>
                                            <span style="color: #34495e; width: 50%; text-align: right; font-size: 14px;">${data.appointment.time}</span>
                                        </div>
                                        <div style="display: flex; justify-content: space-between; padding: 8px 0;">
                                            <span style="color: #7f8c8d; width: 45%; font-size: 14px;">Email:</span>
                                            <span style="color: #34495e; width: 50%; text-align: right; font-size: 14px;">${data.appointment.email}</span>
                                        </div>
                                        <div style="display: flex; justify-content: space-between; padding: 8px 0;">
                                            <span style="color: #7f8c8d; width: 45%; font-size: 14px;">Phone:</span>
                                            <span style="color: #34495e; width: 50%; text-align: right; font-size: 14px;">${data.appointment.phone}</span>
                                        </div>
                                    </div>
                                </div>
                                <div style="display: flex; justify-content: center; align-items: center; margin-top: 20px;">
                                    <div style="font-size: 16px; color: #34495e; margin-right: 10px;">
                                        Your appointment status is:
                                    </div>
                                    <div style="color: ${data.appointment.action == 1 ? '#27ae60' : (data.appointment.action == 2 ? '#e74c3c' : '#f1c40f')}; font-size: 14px; font-weight: bold; text-transform: uppercase;">
                                        ${data.appointment.action == 1 ? 'Approved' : (data.appointment.action == 2 ? 'Rejected' : 'Pending')}
                                    </div>
                                </div>
                            </div>
                        `;
                        document.getElementById('viewDetailsContent').innerHTML = content;

                        // Show the correct buttons based on the appointment status
                        if (data.appointment.action == 1) {
                            document.querySelector('.approved-btn').style.display = 'none';
                            document.querySelector('.rejected-btn').style.display = 'block';
                        } else if (data.appointment.action == 2) {
                            document.querySelector('.approved-btn').style.display = 'none';
                            document.querySelector('.rejected-btn').style.display = 'none';
                        } else {
                            document.querySelector('.approved-btn').style.display = 'block';
                            document.querySelector('.rejected-btn').style.display = 'block';
                        }

                        // Re-bind event listeners after modal is updated
                        document.querySelector('.approved-btn').addEventListener('click', function() {
                            sendActionRequest(appointmentId, 'approve'); 
                        });

                        document.querySelector('.rejected-btn').addEventListener('click', function() {
                            sendActionRequest(appointmentId, 'reject');  
                        });

                        // Show the modal
                        var modal = document.getElementById('viewDetailsModal');
                        modal.removeAttribute('aria-hidden');
                        modal.style.display = 'block';
                        $('#viewDetailsModal').modal('show');
                    } else {
                        console.error('Failed to fetch appointment details');
                    }
                } catch (e) {
                    console.error('Error processing response:', e);
                    if (xhr.responseText.includes('<html>')) {
                        console.error('Received HTML instead of JSON.');
                    }
                }
            } else {
                console.error('AJAX request failed with status:', xhr.status);
            }
        };
        xhr.onerror = function() {
            console.error('AJAX request failed.');
        };
        xhr.send();
    });
});

function sendActionRequest(appointmentId, action) {
    console.log('Sending request with ID:', appointmentId, 'and Action:', action);
    var xhr = new XMLHttpRequest();
    xhr.open('POST', 'update_appointment_status.php', true);
    xhr.setRequestHeader('Content-Type', 'application/json');
    
    xhr.onload = function() {
        var statusMessageElement = document.getElementById('statusMessage');
        if (xhr.status === 200) {
            try {
                console.log('Raw response:', xhr.responseText);
                
                var response = JSON.parse(xhr.responseText);

                if (response && response.success) {
                    if (action === 'approve') {
                        statusMessageElement.textContent = 'User Approved Successfully!';
                        statusMessageElement.style.color = '#27ae60'; 
                        alert('User Approved Successfully!');
                    } else if (action === 'reject') {
                        statusMessageElement.textContent = 'User Rejected Successfully!';
                        statusMessageElement.style.color = '#e74c3c'; 
                        alert('User Rejected Successfully!');
                    }
                } else {
                    statusMessageElement.textContent = 'Failed to update appointment status.';
                    statusMessageElement.style.color = '#f39c12'; 
                    alert('Failed to update appointment status.');
                }
            } catch (e) {
                console.error('Error processing response:', e);
                console.log('Response text was:', xhr.responseText);
                statusMessageElement.textContent = 'Error processing the response.';
                statusMessageElement.style.color = '#f39c12'; 
                alert('User Approved Successfully.');
            }
        } else {
            console.error('Request failed with status:', xhr.status);
            console.log('Response text:', xhr.responseText); 
            statusMessageElement.textContent = 'Failed to communicate with the server.';
            statusMessageElement.style.color = '#f39c12';
            alert('Failed to communicate with the server.');
        }
    };

    xhr.send(JSON.stringify({ id: appointmentId, action: action }));
}

$('#viewDetailsModal').on('hidden.bs.modal', function () {
    console.log('Modal closed');
    var modal = document.getElementById('viewDetailsModal');
    modal.setAttribute('aria-hidden', 'true');  
    modal.style.display = 'none';
});
</script>





<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script>
    $(document).ready(function() {
        $('#filter-action').change(function() {
            var action = $(this).val(); 

            $('#appointment-tbody tr').each(function() {
                var rowAction = $(this).data('action'); 

                if (action === "" || rowAction == action) {
                    $(this).show(); 
                } else {
                    $(this).hide(); 
                }
            });
        });
    });
</script>





    </div>
</div>








<?php include 'footer.php'; ?>
